"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.demoPlugin = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const highlight_1 = require("./markdown/plugins/highlight");
const demoPlugin = (html, md) => {
    let tagsObj = {
        script: [],
        components: []
    };
    const reg = /<demo[\s\S]*?>([\s\S]*?)<\/demo>/;
    const reg_g = eval(`${reg}g`);
    const allDemo = html.match(reg_g);
    allDemo === null || allDemo === void 0 ? void 0 : allDemo.forEach((demo, index) => {
        var _a;
        const src = (demo.match(/src=("|')(\S+)('|")/) || [])[2];
        const language = (_a = (demo.match(/language=("|')(.*)('|")/) || [])[2]) !== null && _a !== void 0 ? _a : 'vue';
        let codeStr = demo.match(reg)[1];
        let demoMiddle = ''; //demo中间字符串
        // 如果src不存在取slot内容为codeStr
        if (!src) {
            codeStr = encodeURIComponent((0, highlight_1.highlight)(codeStr, 'vue'));
            demoMiddle = demo.replace(/<demo/, `<demo htmlStr="${codeStr}"`);
        }
        else {
            const { realPath, urlPath, importMap } = md;
            const absolutePath = path_1.default
                .resolve(realPath !== null && realPath !== void 0 ? realPath : urlPath, '../', src)
                .split(path_1.default.sep)
                .join('/');
            if (!fs_1.default.existsSync(absolutePath)) {
                const warningMsg = `${absolutePath} 文件不存在!`;
                console.warn(`[vitepress]: ${warningMsg}`);
                demoMiddle = `<demo><p>${warningMsg}</p></demo>`;
            }
            else {
                codeStr = fs_1.default.readFileSync(absolutePath).toString();
                let htmlStr = encodeURIComponent((0, highlight_1.highlight)(codeStr, language));
                let componentName = `demo${index}`;
                demoMiddle = demo.replace('>', ` componentName="${componentName}" htmlStr="${htmlStr}" codeStr="${encodeURIComponent(codeStr)}" ${importMap
                    ? `importMap="${encodeURIComponent(JSON.stringify(importMap))}"`
                    : ''} >
                <${componentName}></${componentName}>
                `);
                tagsObj.script.unshift(`import ${componentName} from '${absolutePath}' \n`);
                tagsObj.components.push(componentName);
            }
        }
        html = html.replace(demo, demoMiddle);
    });
    return {
        html,
        tagsObj
    };
};
exports.demoPlugin = demoPlugin;
//# sourceMappingURL=demo.js.map