"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.containerPlugin = void 0;
const markdown_it_container_1 = __importDefault(require("markdown-it-container"));
const containerPlugin = (md) => {
    md.use(...createContainer('tip', 'TIP'))
        .use(...createContainer('info', 'INFO'))
        .use(...createContainer('warning', 'WARNING'))
        .use(...createContainer('danger', 'WARNING'))
        // explicitly escape Vue syntax
        .use(markdown_it_container_1.default, 'v-pre', {
        render: (tokens, idx) => tokens[idx].nesting === 1 ? `<div v-pre>\n` : `</div>\n`
    });
};
exports.containerPlugin = containerPlugin;
function createContainer(klass, defaultTitle) {
    return [
        markdown_it_container_1.default,
        klass,
        {
            render(tokens, idx) {
                const token = tokens[idx];
                const info = token.info.trim().slice(klass.length).trim();
                if (token.nesting === 1) {
                    return `<div class="${klass} custom-block"><p class="custom-block-title">${info || defaultTitle}</p>\n`;
                }
                else {
                    return `</div>\n`;
                }
            }
        }
    ];
}
//# sourceMappingURL=containers.js.map