"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.slugify = void 0;
// string.js slugify drops non ascii chars so we have to
// use a custom implementation here
const diacritics_1 = require("diacritics");
// eslint-disable-next-line no-control-regex
const rControl = /[\u0000-\u001f]/g;
const rSpecial = /[\s~`!@#$%^&*()\-_+=[\]{}|\\;:"'<>,.?/]+/g;
const slugify = (str) => {
    return ((0, diacritics_1.remove)(str)
        // Remove control characters
        .replace(rControl, '')
        // Replace special characters
        .replace(rSpecial, '-')
        // Remove continuous separators
        .replace(/\-{2,}/g, '-')
        // Remove prefixing and trailing separators
        .replace(/^\-+|\-+$/g, '')
        // ensure it doesn't start with a number (#121)
        .replace(/^(\d)/, '_$1')
        // lowercase
        .toLowerCase());
};
exports.slugify = slugify;
//# sourceMappingURL=slugify.js.map